import React, { CSSProperties } from "react";
export declare type TTagBorderClass = "border-gray-100 shadow-lg" | "border-gray-100 shadow" | "border-gray-100" | "border-gray-200";
export declare const Tags: (props: {
    data: string[];
    selectedTags?: string[] | undefined;
    maxTagLength?: number | undefined;
    tooltipColorName?: string | undefined;
    tagClassName?: string | undefined;
    tagStyle?: Record<string, any> | undefined;
    textClassName?: string | undefined;
    textStyle?: React.CSSProperties | undefined;
    wrapperClassName?: string | undefined;
    onClick?: ((tag: string) => void) | undefined;
    disableShorten?: boolean | undefined;
    borderClassName?: TTagBorderClass | undefined;
    Tooltip?: any;
}) => JSX.Element | null;
export default Tags;
